
var EF = {
	isGecko: function()
	{
		return navigator.userAgent.indexOf("Gecko") == -1 ? false :true;
	},
	
	isOpera: function()
	{
		return navigator.userAgent.indexOf("Opera") == -1 ? false :true;
	},
	
	isIE: function()
	{
		return document.all ?  true : false;
	},
	
	onReady: function(newFunction)
	{
		if(newFunction == undefined)
			return false;
			
		this.domReady = false;
		
		if(functions == undefined)
			var functions = [];
			
		functions.push(newFunction);
		
		var initial = function()
		{
			for(var i in functions)
			{
				functions[i]();
			}
		}
		
		this.ready = function()
		{
			if(this.domReady)
				initial();
				
			if (EF.isGecko() || EF.isOpera()) {
				try {
					document.removeEventListener('DOMContentLoaded', initial);
				}catch(e){}
				
				document.addEventListener('DOMContentLoaded', initial, false);
				this.domReady = true;
			}
			else if (EF.isIE()) {
				
				var timer = window.setInterval(function()
				{
					try {
						document.body.doScroll("left");
						initial();
						window.clearInterval(timer);
						this.domReady = true;
					} 
					catch (e) {}
				}
				, 5);	
			}
		}
	this.ready();
		
	}
}

